Page MenuHomePhabricator

Browser tests failing for Gather
Closed, ResolvedPublic

Description

The change in T101295 broke how the main menu gets interacted with.

This causes the Gather tests around main menu functionality to now fail with
unable to locate element, using {:id=>"mw-mf-main-menu-button", :tag_name=>"a"} (Watir::Exception::UnknownObjectException)

This is unfortunate, especially given it is my understanding the main menu work is a temporary experiment.
Fix should be generic enough to work for main menu in stable and beta

Task is only resolved when the @skip tags are removed from those tests.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to To Do on the Reading-Web-Sprint-51-YOLO board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2015, 12:57 PM
Jdlrobson updated the task description. (Show Details)Jul 15 2015, 12:58 PM
Jdlrobson set Security to None.

Change 224796 had a related patch set uploaded (by Jdlrobson):
QA: Fix menu browser test

https://gerrit.wikimedia.org/r/224796

Change 224796 merged by jenkins-bot:
QA: Fix menu browser test

https://gerrit.wikimedia.org/r/224796

Change 225001 had a related patch set uploaded (by Jdlrobson):
Hygiene: Adjust styling of main menu so browser tests do not fail

https://gerrit.wikimedia.org/r/225001

It seems the new header bar, creates an absolutely positioned header-title element that covers the left icon so it cannot receive clicks. Since the css doesn't really make sense I've proposed to remove it in https://gerrit.wikimedia.org/r/225001 would be great @rmoen if you could merge this since everyone else is at Wikimania so we can stop the mailing list spam and get Gather's builds green again. Thanks dude!

Jdlrobson moved this task from Doing to Code Review on the Reading-Web-Sprint-51-YOLO board.

I added @skip tags. Adding removal of these to task description.

Jdlrobson updated the task description. (Show Details)Jul 19 2015, 4:32 AM

Change 225001 merged by jenkins-bot:
Hygiene: Adjust styling of main menu so browser tests do not fail

https://gerrit.wikimedia.org/r/225001

Jdlrobson closed this task as Resolved.Jul 20 2015, 6:19 PM

Change 225931 had a related patch set uploaded (by Jdlrobson):
Revert "Avoid spamming mailing list by skipping"

https://gerrit.wikimedia.org/r/225931

Someone needs to merge the above.. ^

Jdlrobson reopened this task as Open.Jul 21 2015, 8:55 PM

Change 225931 merged by jenkins-bot:
Revert "Avoid spamming mailing list by skipping"

https://gerrit.wikimedia.org/r/225931

Jdlrobson moved this task from Needs triage to Must haves on the Gather board.Jul 22 2015, 5:22 PM
Jhernandez closed this task as Resolved.Jul 29 2015, 10:54 AM